Debian Bug report logs - #551669
rpm -qp still winges about databases

version graph

Package: rpm; Maintainer for rpm is Michal Čihař <nijel@debian.org>; Source for rpm is src:rpm.

Reported by: Joey Hess <joeyh@debian.org>

Date: Mon, 19 Oct 2009 20:45:01 UTC

Severity: normal

Tags: upstream

Found in version rpm/4.7.0-9

Fixed in version rpm/4.8.0-4

Done: Michal Čihař <nijel@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rpm.org/ticket/106

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#551669; Package rpm. (Mon, 19 Oct 2009 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Michal Čihař <nijel@debian.org>. (Mon, 19 Oct 2009 20:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rpm -qp still winges about databases
Date: Mon, 19 Oct 2009 16:39:39 -0400
[Message part 1 (text/plain, inline)]
Package: rpm
Version: 4.7.0-9
Severity: normal

joey@gnu:~>rpm -qp 4L-1.0-r6.i586.rpm
error: cannot open Name index using db3 - No such file or directory (2)
4L-1.0-r6.i586

Alien causes rpm to spew screenfulls of such errors, which I would like to
avoid.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages rpm depends on:
ii  cdebconf [debconf-2.0] 0.146             Debian Configuration Management Sy
ii  debconf [debconf-2.0]  1.5.27            Debian configuration management sy
ii  libc6                  2.9-27            GNU C Library: Shared libraries
ii  libelf1                0.143-1           library to read and write ELF file
ii  libnss3-1d             3.12.4-1          Network Security Service libraries
ii  libpopt0               1.15-1            lib for parsing cmdline parameters
ii  librpm0                4.7.0-9           RPM shared library
ii  librpmbuild0           4.7.0-9           RPM build shared library
ii  librpmio0              4.7.0-9           RPM IO shared library
ii  perl                   5.10.1-5          Larry Wall's Practical Extraction 
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

rpm recommends no packages.

Versions of packages rpm suggests:
ii  alien                         8.78       convert and install rpm and other 
pn  elfutils                      <none>     (no description available)
pn  rpm-i18n                      <none>     (no description available)

-- debconf information:
  rpm/upgrade-failed:

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#551669; Package rpm. (Mon, 19 Oct 2009 21:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. (Mon, 19 Oct 2009 21:45:12 GMT) Full text and rfc822 format available.

Message #10 received at 551669@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: Joey Hess <joeyh@debian.org>, 551669@bugs.debian.org
Subject: Re: Bug#551669: rpm -qp still winges about databases
Date: Mon, 19 Oct 2009 23:28:16 +0200
[Message part 1 (text/plain, inline)]
Hi

Dne Mon, 19 Oct 2009 16:39:39 -0400
Joey Hess <joeyh@debian.org> napsal(a):

> Package: rpm
> Version: 4.7.0-9
> Severity: normal
> 
> joey@gnu:~>rpm -qp 4L-1.0-r6.i586.rpm
> error: cannot open Name index using db3 - No such file or directory (2)
> 4L-1.0-r6.i586
> 
> Alien causes rpm to spew screenfulls of such errors, which I would like to
> avoid.

This should not anymore happen with 4.7.1 (it should be available for
i386 on next dinstall or so), can you please retest?

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#551669; Package rpm. (Tue, 20 Oct 2009 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Tue, 20 Oct 2009 20:15:05 GMT) Full text and rfc822 format available.

Message #15 received at 551669@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michal Čihař <nijel@debian.org>
Cc: 551669@bugs.debian.org
Subject: Re: Bug#551669: rpm -qp still winges about databases
Date: Tue, 20 Oct 2009 16:01:08 -0400
[Message part 1 (text/plain, inline)]
Michal Čihař wrote:
> This should not anymore happen with 4.7.1 (it should be available for
> i386 on next dinstall or so), can you please retest?

joey@gnu:~/tmp>rpm --version
RPM version 4.7.1
joey@gnu:~/tmp>rpm -qp 4l-1.0-2.i386.rpm
error: cannot open Name index using db3 - No such file or directory (2)
4l-1.0-2.i386

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#551669; Package rpm. (Wed, 21 Oct 2009 07:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. (Wed, 21 Oct 2009 07:39:03 GMT) Full text and rfc822 format available.

Message #20 received at 551669@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 551669@bugs.debian.org
Subject: Re: Bug#551669: rpm -qp still winges about databases
Date: Wed, 21 Oct 2009 09:32:53 +0200
[Message part 1 (text/plain, inline)]
Dne Tue, 20 Oct 2009 16:01:08 -0400
Joey Hess <joeyh@debian.org> napsal(a):

> Michal Čihař wrote:
> > This should not anymore happen with 4.7.1 (it should be available for
> > i386 on next dinstall or so), can you please retest?
> 
> joey@gnu:~/tmp>rpm --version
> RPM version 4.7.1
> joey@gnu:~/tmp>rpm -qp 4l-1.0-2.i386.rpm
> error: cannot open Name index using db3 - No such file or directory (2)
> 4l-1.0-2.i386

Ah, strange. If you do this as root if even creates the Name index
in /var/lib/rpm. I just reported the bug upstream. To workaround that
you can run the query command once as root and the message will go away.

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) upstream. Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Wed, 21 Oct 2009 07:48:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://rpm.org/ticket/106'. Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Wed, 21 Oct 2009 07:48:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#551669; Package rpm. (Sun, 18 Apr 2010 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Sun, 18 Apr 2010 19:45:03 GMT) Full text and rfc822 format available.

Message #29 received at 551669@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 551669@bugs.debian.org
Subject: this bug was incorrectly forwarded upstream
Date: Sun, 18 Apr 2010 15:40:33 -0400
[Message part 1 (text/plain, inline)]
I see that this bug was forwarded upstream as the following bug report:

> Command "rpm -qp hello-1.0-1.i386.rpm" with not /var/lib/rpm/Name results in
> writing to file or with an error message if user does not have privileges to do
> that. Is it really necessary access this database on querying package?

However, that is not true. If the Name database exists, rpm -qp does not
complain when run as a normal user who cannot write to it. It only
complains when the Name database does not exist. Which, I suspect, only
happens on a system that is not a native rpm based system.

So, I think that upstream is going to ignore this bug report; it's
innaccurate, and doesn't affect their goals. However, it makes running
alien as non-root on Debian a nasty experience, and so I strongly want
it to be fixed here. 180 days with alien griping at every user who uses
it is rather too long.

I see that /var/lib/rpm/ is populated anyway when the rpm package
is installed, so why not just create the name database at the same time?

One way, probably not the best one, is to copy the Packages file to Name.
Better would be for rpm --initdb to create the Name database.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#551669; Package rpm. (Thu, 22 Apr 2010 08:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <michal@cihar.com>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Thu, 22 Apr 2010 08:33:03 GMT) Full text and rfc822 format available.

Message #34 received at 551669@bugs.debian.org (full text, mbox):

From: Michal Čihař <michal@cihar.com>
To: Joey Hess <joeyh@debian.org>, 551669@bugs.debian.org
Subject: Re: Bug#551669: this bug was incorrectly forwarded upstream
Date: Thu, 22 Apr 2010 09:57:22 +0200
[Message part 1 (text/plain, inline)]
Hi

Dne Sun, 18 Apr 2010 15:40:33 -0400
Joey Hess <joeyh@debian.org> napsal(a):

> One way, probably not the best one, is to copy the Packages file to Name.
> Better would be for rpm --initdb to create the Name database.

You're right, I just filed upstream bug for this:
http://rpm.org/ticket/156

Anyway the more I was thinking about this issue, I can to conclusion
that I will adopt solution already suggested me some time ago - to have
rpmdb stored by default in user home and do not care about system
database at all as it does not make much sense for Debian anyway.

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Michal Čihař <nijel@debian.org>:
You have taken responsibility. (Thu, 22 Apr 2010 11:33:13 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Thu, 22 Apr 2010 11:33:13 GMT) Full text and rfc822 format available.

Message #39 received at 551669-close@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: 551669-close@bugs.debian.org
Subject: Bug#551669: fixed in rpm 4.8.0-4
Date: Thu, 22 Apr 2010 11:32:43 +0000
Source: rpm
Source-Version: 4.8.0-4

We believe that the bug you reported is fixed in the latest version of
rpm, which is due to be installed in the Debian FTP archive:

librpm-dbg_4.8.0-4_amd64.deb
  to main/r/rpm/librpm-dbg_4.8.0-4_amd64.deb
librpm-dev_4.8.0-4_amd64.deb
  to main/r/rpm/librpm-dev_4.8.0-4_amd64.deb
librpm1_4.8.0-4_amd64.deb
  to main/r/rpm/librpm1_4.8.0-4_amd64.deb
librpmbuild1_4.8.0-4_amd64.deb
  to main/r/rpm/librpmbuild1_4.8.0-4_amd64.deb
librpmio1_4.8.0-4_amd64.deb
  to main/r/rpm/librpmio1_4.8.0-4_amd64.deb
lsb-rpm_4.8.0-4_amd64.deb
  to main/r/rpm/lsb-rpm_4.8.0-4_amd64.deb
python-rpm_4.8.0-4_amd64.deb
  to main/r/rpm/python-rpm_4.8.0-4_amd64.deb
rpm-common_4.8.0-4_all.deb
  to main/r/rpm/rpm-common_4.8.0-4_all.deb
rpm-i18n_4.8.0-4_all.deb
  to main/r/rpm/rpm-i18n_4.8.0-4_all.deb
rpm2cpio_4.8.0-4_amd64.deb
  to main/r/rpm/rpm2cpio_4.8.0-4_amd64.deb
rpm_4.8.0-4.debian.tar.gz
  to main/r/rpm/rpm_4.8.0-4.debian.tar.gz
rpm_4.8.0-4.dsc
  to main/r/rpm/rpm_4.8.0-4.dsc
rpm_4.8.0-4_amd64.deb
  to main/r/rpm/rpm_4.8.0-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 551669@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michal Čihař <nijel@debian.org> (supplier of updated rpm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 22 Apr 2010 09:52:43 +0200
Source: rpm
Binary: rpm rpm2cpio rpm-common rpm-i18n lsb-rpm librpm-dbg librpm1 librpmio1 librpmbuild1 librpm-dev python-rpm
Architecture: source all amd64
Version: 4.8.0-4
Distribution: experimental
Urgency: low
Maintainer: Michal Čihař <nijel@debian.org>
Changed-By: Michal Čihař <nijel@debian.org>
Description: 
 librpm-dbg - debugging symbols for RPM
 librpm-dev - RPM shared library, development kit
 librpm1    - RPM shared library
 librpmbuild1 - RPM build shared library
 librpmio1  - RPM IO shared library
 lsb-rpm    - RPM Package Manager for LSB package building
 python-rpm - Python bindings for RPM
 rpm        - package manager for RPM
 rpm-common - common files for RPM
 rpm-i18n   - localization and localized man pages for rpm
 rpm2cpio   - tool to convert RPM package to CPIO archive
Closes: 551669 572766
Changes: 
 rpm (4.8.0-4) experimental; urgency=low
 .
   * Use new conditionals in symbol files and define symbols for sparc64
     (Closes: #572766).
   * Move default RPM database path to ~/.rpm.
     - Fixes problem with no accessible Names database (Closes: #551669,
     LP: #530023).
   * No longer handle database in postinst.
     - Removes debconf from postinst.
     - Avoids problems on installation with db version (LP: #542115).
   * Document above changes in NEWS and README.Debian.
Checksums-Sha1: 
 a0140c18b9a97c32a42a949be8c086d2b05fae9d 1760 rpm_4.8.0-4.dsc
 bcd0066e6ec43e1ca7ad27f2a993258821f446fa 65677 rpm_4.8.0-4.debian.tar.gz
 b0b59faadf9bdbe918dce28979e952f076b7ee4a 706832 rpm-common_4.8.0-4_all.deb
 188157838b51eda2364f97b6d7259f10488b7189 1176996 rpm-i18n_4.8.0-4_all.deb
 c5a4b48f83aa2f3927ff9233646121ac41c7153b 835916 rpm_4.8.0-4_amd64.deb
 d50407672c5fe8b53b162463d588a430f1ec7d6f 692306 rpm2cpio_4.8.0-4_amd64.deb
 5a8687c40a9860e451e9c6564ffc087dc68c0e20 1244628 lsb-rpm_4.8.0-4_amd64.deb
 648e4edb63c883792a9d8cf4c07ed40c008ae7e5 2654816 librpm-dbg_4.8.0-4_amd64.deb
 cb2c356decb1cb2b4edcc4fbd6397c47df3bbe4e 883662 librpm1_4.8.0-4_amd64.deb
 f639950a99c9bed0c9e8577beec9b91c8ff1311b 771230 librpmio1_4.8.0-4_amd64.deb
 b808d4c84dbca56a0506a970263042b46b7aa113 757190 librpmbuild1_4.8.0-4_amd64.deb
 a5aaddb54c271503881a2264f891295b32dec170 754414 librpm-dev_4.8.0-4_amd64.deb
 04ad5aef153b320636a2271bacc65815f66bb247 726016 python-rpm_4.8.0-4_amd64.deb
Checksums-Sha256: 
 e28e1c22b2471fc2043598fbbc4760b3ec8550a7e419a93c10b4487b8e84f853 1760 rpm_4.8.0-4.dsc
 11de17332e0c3ebf28b02bcc7f6d86ca76891f42e7c4323731039fd0d0f010da 65677 rpm_4.8.0-4.debian.tar.gz
 26d27e5d3e7bc0dfb1988d3b0860e54ffdc189a359f18a852ef1c366c9a8d113 706832 rpm-common_4.8.0-4_all.deb
 8e38fb2569c575a96c217a03fa23b1a5023501150f224e565af34923c71ef343 1176996 rpm-i18n_4.8.0-4_all.deb
 fbd42b3af86a5f93bf1ffbd7505b306e64295075687572612ab40ed4212aa9c6 835916 rpm_4.8.0-4_amd64.deb
 afba6b5bdb9365f5c47aa6926c0e10944a878939f3a2aee1b433fece9bce732e 692306 rpm2cpio_4.8.0-4_amd64.deb
 769b04a8c92e92816fa2077f5913c6a83e6a6f9ee37fcdcc779077450ae9d838 1244628 lsb-rpm_4.8.0-4_amd64.deb
 cea3625418661d2e5031b538f3898ecf0126aba6823ba5e674b55c629676b8a7 2654816 librpm-dbg_4.8.0-4_amd64.deb
 876cb9d2ae35c00c8ce2ab8b7d8fb5241a110e49616cd9d704b469a63e621778 883662 librpm1_4.8.0-4_amd64.deb
 e7a77622942165735f1d461c61f3ba1922bb047f95cbbfc889c8280d7522350b 771230 librpmio1_4.8.0-4_amd64.deb
 c2bf9a9aa9675e0a4469827a3f8a5c3114165ccae15cd5bce40570faf49c0b8c 757190 librpmbuild1_4.8.0-4_amd64.deb
 e5065628d3991f082c03cb7c0a643f4a83434e527dc66bcbcd12c84eb561e92f 754414 librpm-dev_4.8.0-4_amd64.deb
 17f1135a75949bdd95b82c6b061d33dc2cfb9faf617fa24c1b4c01ad8680c2ae 726016 python-rpm_4.8.0-4_amd64.deb
Files: 
 d4db7a8d74c68eddef3f06e5bbe8a44c 1760 admin optional rpm_4.8.0-4.dsc
 c02f9d6b0d1ada7b2b234dc35c879155 65677 admin optional rpm_4.8.0-4.debian.tar.gz
 b712b7be59b10c98fbe64acaa220e0dd 706832 admin optional rpm-common_4.8.0-4_all.deb
 777878ef686b97120e289237c6c7f2d9 1176996 localization optional rpm-i18n_4.8.0-4_all.deb
 5a75578e6e101ee6d6007b01b1dd8484 835916 admin optional rpm_4.8.0-4_amd64.deb
 f6b0c1e7e8c83580c1d611c8d3610b3e 692306 admin optional rpm2cpio_4.8.0-4_amd64.deb
 e217b0ff9f79a713c455a6dd1044f146 1244628 devel optional lsb-rpm_4.8.0-4_amd64.deb
 e5b36884559ce6228833645f0029fc6b 2654816 debug extra librpm-dbg_4.8.0-4_amd64.deb
 502883da9d766b603e1d34e14197734d 883662 libs optional librpm1_4.8.0-4_amd64.deb
 34a75f668c2b12bf942443fdce5415e7 771230 libs optional librpmio1_4.8.0-4_amd64.deb
 895d943ffa1a12120eb49bc4eb8503b6 757190 libs optional librpmbuild1_4.8.0-4_amd64.deb
 01ad7306aad9653cfe7c6931fbb09d89 754414 libdevel extra librpm-dev_4.8.0-4_amd64.deb
 036f0ec5030bca3505f601bdfe9a1ee2 726016 python extra python-rpm_4.8.0-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvQMVYACgkQ3DVS6DbnVgQctgCaAoTah3Cw59WkjzjD/fV5uV1O
1CQAoOIqdq2d3e6YLeQtM8zLchzpBrKx
=b7he
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Jul 2010 07:35:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:08:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.